Create VM
curl --request POST \
--url https://api.nova-cloud.ai/vms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"node": "<string>",
"gpu_type": "<string>",
"gpu_count": 123,
"storage_gb": 51,
"template_vmid": 123,
"rental_type": "on_demand",
"auth_method": "ssh_key",
"ssh_key_id": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.nova-cloud.ai/vms"
payload = {
"node": "<string>",
"gpu_type": "<string>",
"gpu_count": 123,
"storage_gb": 51,
"template_vmid": 123,
"rental_type": "on_demand",
"auth_method": "ssh_key",
"ssh_key_id": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
node: '<string>',
gpu_type: '<string>',
gpu_count: 123,
storage_gb: 51,
template_vmid: 123,
rental_type: 'on_demand',
auth_method: 'ssh_key',
ssh_key_id: '<string>',
password: '<string>'
})
};
fetch('https://api.nova-cloud.ai/vms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vmid": 123,
"user_id": 123,
"node": "<string>",
"instance_label": "<string>",
"gpu_type": "<string>",
"gpu_count": 123,
"storage_gb": 123,
"ram_gb": 123,
"cpu_cores": 123,
"ip_address": "<string>",
"status": "creating",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"stopped_at": "2023-11-07T05:31:56Z",
"rental_type": "on_demand",
"reservation_id": "<string>",
"auto_restart": true,
"hourly_rate": 123,
"gpu_hourly_rate": 123,
"storage_hourly_rate": 123,
"cpu_percent": 123,
"ram_percent": 123,
"cpu_model": "<string>",
"pcie_gen": "<string>"
}Virtual Machines
Create VM
Provision a new GPU-powered virtual machine. Provisioning typically takes 2-10 minutes.
POST
/
vms
Create VM
Authorizations
Use a JWT access token or API key (prefixed with nv_)
Body
application/json
Node ID (e.g., vm01, vm02)
GPU type (5090, 4090, pro6000)
Number of GPUs (1, 2, 4, or 8)
Disk size in GB (minimum 50)
Required range:
x >= 50Template VM ID to clone
Rental type
Available options:
on_demand, reserved, interruptible Reservation duration (required if rental_type=reserved)
Available options:
1, 3, 6 Available options:
ssh_key, password SSH key ID (defaults to oldest key)
VM password (required if auth_method=password)
Minimum string length:
12Response
VM creation started
Available options:
creating, starting, running, stopping, stopped, interrupted, destroyed, failed, offline Available options:
on_demand, reserved, interruptible 
